Subject: Re: linux-next: manual merge of the cifs tree with the fscache tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 6 Dec 2021 08:56:50 +1100

Hi all,

On Fri, 3 Dec 2021 09:41:39 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> Hi all,
> 
> Today's linux-next merge of the cifs tree got conflicts in:
> 
>   fs/cifs/connect.c
>   fs/cifs/fscache.c
> 
> between commit:
> 
>   935b45107a80 ("cifs: Support fscache indexing rewrite (untested)")
> 
> from the fscache tree and commits:
> 
>   9d0245fc6a2e ("cifs: wait for tcon resource_id before getting fscache super")
>   c148f8eb032f ("cifs: add server conn_id to fscache client cookie")
>   b1f962ba272b ("cifs: avoid use of dstaddr as key for fscache client cookie")
> 
> from the cifs tree.
> 
> I fixed it up (I just used the former versions) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

These are now conflict between the fscache tree and Linus' tree.

-- 
Cheers,
Stephen Rothwell